BEGIN
   EXECUTE IMMEDIATE 'DROP TABLE SZBUNIQ';
EXCEPTION
   WHEN OTHERS THEN
      IF SQLCODE != -942 THEN
         RAISE;
      END IF;
END;
/
--------------------------------------------------------
--  DDL for Table SZBUNIQ
--------------------------------------------------------

  CREATE TABLE SZBUNIQ 
   (    SZBUNIQ_BANNER_ID VARCHAR2(9 CHAR), 
    SZBUNIQ_UNIQUE_ID VARCHAR2(8 CHAR), 
    SZBUNIQ_LAST_ACTIVE_DATE VARCHAR2(8 CHAR), 
    SZBUNIQ_STAFF_IND VARCHAR2(1 CHAR), 
    SZBUNIQ_FACULTY_IND VARCHAR2(1 CHAR), 
    SZBUNIQ_GRADUATE_IND VARCHAR2(1 CHAR), 
    SZBUNIQ_UNDERGRAD_IND VARCHAR2(1 CHAR), 
    SZBUNIQ_COURTESY VARCHAR2(1 CHAR), 
    SZBUNIQ_FILLER VARCHAR2(3 CHAR), 
    SZBUNIQ_PREF_EMAIL VARCHAR2(1 CHAR), 
    SZBUNIQ_ACTIVITY_DATE DATE, 
    SZBUNIQ_PIDM NUMBER(8,0), 
    SZBUNIQ_ALUMNI_ID VARCHAR2(15 CHAR), 
    SZBUNIQ_PASSWORD VARCHAR2(30 CHAR), 
    SZBUNIQ_BEGIN_DATE DATE, 
    SZBUNIQ_END_DATE DATE, 
    SZBUNIQ_SS_QUESTION VARCHAR2(250 CHAR), 
    SZBUNIQ_SS_ANSWER VARCHAR2(50 CHAR), 
    SZBUNIQ_HIDE_UNTIL DATE, 
    SZBUNIQ_SUSPEND_DATE DATE, 
    SZBUNIQ_AG_NOTIFY_STATUS VARCHAR2(1 CHAR), 
    SZBUNIQ_RETIREE VARCHAR2(1 CHAR), 
    SZBUNIQ_EMERITI VARCHAR2(1 CHAR), 
    SZBUNIQ_EXTERNAL_ID VARCHAR2(40 CHAR), 
    SZBUNIQ_ACTIVE_ID VARCHAR2(1 CHAR), 
    SZBUNIQ_SURROGATE_ID NUMBER(19,0), 
    SZBUNIQ_VERSION NUMBER(19,0), 
    SZBUNIQ_USER_ID VARCHAR2(30 CHAR), 
    SZBUNIQ_DATA_ORIGIN VARCHAR2(30 CHAR), 
    SZBUNIQ_VPDI_CODE VARCHAR2(6 CHAR)
   ) ;

   COMMENT ON COLUMN SZBUNIQ.SZBUNIQ_SURROGATE_ID IS 'SURROGATE ID: Immutable unique key';
   COMMENT ON COLUMN SZBUNIQ.SZBUNIQ_VERSION IS 'VERSION: Optimistic lock token.';
   COMMENT ON COLUMN SZBUNIQ.SZBUNIQ_USER_ID IS 'USER ID: The user ID of the person who inserted or last updated this record.';
   COMMENT ON COLUMN SZBUNIQ.SZBUNIQ_DATA_ORIGIN IS 'DATA ORIGIN: Source system that created or updated the data.';
   COMMENT ON COLUMN SZBUNIQ.SZBUNIQ_VPDI_CODE IS 'VPDI CODE: Multi-entity processing code.';
--------------------------------------------------------
--  DDL for Index SZBUNIQ_BANNER_ID_INDEX
--------------------------------------------------------

  CREATE INDEX SZBUNIQ_BANNER_ID_INDEX ON SZBUNIQ (SZBUNIQ_BANNER_ID) 
  ;
--------------------------------------------------------
--  DDL for Index SZBUNIQ_PIDM_IDX
--------------------------------------------------------

  CREATE INDEX SZBUNIQ_PIDM_IDX ON SZBUNIQ (SZBUNIQ_PIDM) 
  ;
--------------------------------------------------------
--  DDL for Index SZBUNIQ_UNIQUE_ID_IDX
--------------------------------------------------------

  CREATE INDEX SZBUNIQ_UNIQUE_ID_IDX ON SZBUNIQ (SZBUNIQ_UNIQUE_ID) 
  ;
